Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 665846 - dev-db/mysql++: Validate DEPEND on virtual/mysql
Summary: dev-db/mysql++: Validate DEPEND on virtual/mysql
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Linux MySQL bugs team
URL:
Whiteboard:
Keywords:
Depends on: 666372
Blocks: 763480
  Show dependency tree
 
Reported: 2018-09-12 17:28 UTC by Brian Evans
Modified: 2021-01-04 02:27 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:28:37 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 2 Larry the Git Cow gentoo-dev 2019-02-08 18:50:51 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8aa99109039aa00ad0e56cccc562d87171a0029a

commit 8aa99109039aa00ad0e56cccc562d87171a0029a
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-08 17:37:43 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-08 17:37:43 +0000

    dev-db/mysql++: Drop old
    
    Closes: https://bugs.gentoo.org/665846
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 dev-db/mysql++/Manifest             |  1 -
 dev-db/mysql++/mysql++-3.2.1.ebuild | 37 -------------------------------------
 2 files changed, 38 deletions(-)